glab(1)

NAME
glab-mcp-serve - Start a MCP server with stdio transport. (EXPERIMENTAL)

SYNOPSIS
glab mcp serve [flags]

DESCRIPTION
Start a Model Context Protocol server to expose GitLab features as tools for AI assistants like Claude Code.

The server uses stdio (standard input and output) transport for communication, and provides tools to:

•   Manage issues (list, create, update, close, add notes)

•   Manage merge requests (list, create, update, merge, add notes)

•   Manage projects (list, get details)

•   Manage CI/CD pipelines and jobs

To configure this server in Claude Code, add this code to your MCP settings:
    {
      "mcpServers": {
        "glab": {
          "type": "stdio",
          "command": "glab",
          "args": ["mcp", "serve"]
        }
      }
    }

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    glab mcp serve

SEE ALSO
glab-mcp(1)